# Get coverage filter options

Source: https://docs.levelfour.ai/api-reference/commitments/get-commitments-coverage-filter-options


## GET /api/v1/commitments/coverage/filter-options

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `provider` (query, string, nullable)

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `providers` (array of string, required)
  - `accounts` (array of string, required)
  - `services` (array of string, required)
  - `regions` (array of string, required)
  - `scopes` (array of string, required)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
